Bug 651207 - wireshark-gnome not in main RHEL6 repo
wireshark-gnome not in main RHEL6 repo
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: releng (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Lubos Kocman
Release Test Team
: FutureFeature
Depends On:
Blocks: 645519 667209 756082
  Show dependency treegraph
 
Reported: 2010-11-08 19:47 EST by Robin R. Price II
Modified: 2014-06-23 06:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 667209 (view as bug list)
Environment:
Last Closed: 2014-06-23 06:24:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin R. Price II 2010-11-08 19:47:42 EST
Description of problem:

wireshark-gnome can not be installed during RHEL6 Beta and RC released.


Version-Release number of selected component (if applicable):
wireshark-gnome.x86_64                   1.2.10-2.el6


How reproducible:
Always


Steps to Reproduce:
1. Make a repo to Server / Workstation based packages
2. yum install wireshark-gnome
3.
  
Actual results:

No package to install

Expected results:

wireshark-gnome should install


Additional info:

Currently, the only way for us to install wireshark-gnome is to point a repo to the optional package.  I think this is a mistake and should not be in the optional directory.  This is not the case for RHEL5 or RHEL4.

[rprice@dhcp53-50 ~]$ yum list | grep wireshark
*Note* Red Hat Network repositories are not listed below. You must run this command as root to access RHN repositories.
wireshark.x86_64                         1.2.10-2.el6                   @Server 
wireshark.i686                           1.2.10-2.el6                   Server  
wireshark-devel.i686                     1.2.10-2.el6                   Optional
wireshark-devel.x86_64                   1.2.10-2.el6                   Optional
wireshark-gnome.x86_64                   1.2.10-2.el6                   Optional

[rprice@dhcp53-50 yum.repos.d]$ cat optional.repo server.repo workstation.repo 
[Optional]
name=RHEL6 - Optional
baseurl=http://download.devel.redhat.com/rel-eng/RHEL6.0-RC-4/6.0/Server/optional/x86_64/os/
enabled=1
gpgcheck=1
[Server]
name=RHEL6 - Server
baseurl=http://download.devel.redhat.com/released/RHEL-6/6.0/Server/x86_64/os/Server/
enabled=1
gpgcheck=1
[Workstation]
name=RHEL6 - Workstation
baseurl=http://download.devel.redhat.com/released/RHEL-6/6.0/Workstation/x86_64/os/Workstation/
enabled=1
gpgcheck=1
Comment 2 Jan Safranek 2010-11-10 09:33:23 EST
This is out of scope of Wireshark (Wireshark works, right?), our release engineers should put the packages to better place.
Comment 3 Dennis Gregorovic 2010-11-10 10:45:13 EST
Which packages are in base and which are in optional is actually owned by product management.  Moving to the distribution component to get their input.
Comment 7 Dennis Gregorovic 2011-01-04 14:14:52 EST
wireshark-gnome added to comps.xml
Comment 25 Suzanne Yeghiayan 2012-05-18 16:45:15 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 26 Lubos Kocman 2014-06-23 06:24:07 EDT
Package was already part of main variant in 6.5. Closing as current release.
released/RHEL-6/6.5> find . -name "wireshark-gnome*" 
./Client/i386/os/Packages/wireshark-gnome-1.8.10-4.el6.i686.rpm
./Client/x86_64/os/Packages/wireshark-gnome-1.8.10-4.el6.x86_64.rpm
./Server/i386/os/Packages/wireshark-gnome-1.8.10-4.el6.i686.rpm
./Server/ppc64/os/Packages/wireshark-gnome-1.8.10-4.el6.ppc64.rpm
./Server/s390x/os/Packages/wireshark-gnome-1.8.10-4.el6.s390x.rpm
./Server/x86_64/os/Packages/wireshark-gnome-1.8.10-4.el6.x86_64.rpm
./Workstation/i386/os/Packages/wireshark-gnome-1.8.10-4.el6.i686.rpm
./Workstation/x86_64/os/Packages/wireshark-gnome-1.8.10-4.el6.x86_64.rpm

Note You need to log in before you can comment on or make changes to this bug.